DWARF_ADD_FDE_INST(3) | Library Functions Manual | DWARF_ADD_FDE_INST(3)

# NAME

`dwarf_add_fde_inst` — add a call frame instruction to a DWARF frame descriptor

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

Dwarf_P_Fde
`dwarf_add_fde_inst`(Dwarf_P_Fde fde, Dwarf_Small op, Dwarf_Unsigned val1, Dwarf_Unsigned val2, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_add_fde_inst`() adds a call frame instruction to the DWARF frame descriptor referenced by argument fde.

Argument fde should reference a frame descriptor allocated using dwarf_new_fde(3).

Argument op specifies the operator for the frame instruction. The DWARF standard defines the set of legal values for this argument.

Argument val1 specifies the first operand of the frame instruction.

Argument val2 specifies the second operand of the frame instruction.

If argument err is not `NULL`, it will be used to store error information in case of an error.

# RETURN VALUES

On success, function `dwarf_add_fde_inst`() returns the frame descriptor given in argument fde. In case of an error, function `dwarf_add_fde_inst`() returns `DW_DLV_BADADDR` and sets the argument err.

# ERRORS

Function `dwarf_add_fde_inst`() can fail with:

[`DW_DLE_ARGUMENT`]
  Argument fde was `NULL`.
[`DW_DLE_FRAME_INSTR_EXEC_ERROR`]
  The frame instruction operator specified in argument op was invalid.
[`DW_DLE_MEMORY`]
  An out of memory condition was encountered during the execution of the function.

# SEE ALSO

dwarf(3), dwarf_add_frame_cie(3), dwarf_add_frame_fde(3), dwarf_add_frame_fde_b(3), dwarf_fde_cfa_offset(3), dwarf_new_fde(3)

The DWARF Debugging Information Format, Version 4, http://www.dwarfstd.org/.

September 26, 2011 | NetBSD 11.0